package com.sw.mes.wms.service;

import com.sw.mes.core.response.Result;
import com.sw.mes.wms.dto.*;
import com.sw.mes.wms.utils.ResultWmsDto;

/**
 * @Author: GaoXinJian
 * @Date: 2022-03-08 16:28
 */
public interface WmsToMesService {

    /**
     * wms方棒出入库上报mes
     * @param fbInventoryFeedbackDto
     * @return
     */
    Result inventoryFeedback(FbInventoryFeedbackDto fbInventoryFeedbackDto);

    /**
     * 方棒订单匹配
     * @param SquareOrderDto
     * @return
     */
    Result squareOrder(SquareOrderDto SquareOrderDto);

    /**
     * 处理wms方棒拼棒锁定与解锁
     * @param orderLockDto
     * @return
     */
    Result dealLockOrder(OrderLockDto orderLockDto);

    /**
     * 验证方棒是否可拼
     * @param fbSpellValidationDto
     * @return
     */
    Result spellValidation(FbSpellValidationDto fbSpellValidationDto);


    /**
     * 方棒入库取消确认
     * @param returnAndCancelDto
     * @return
     */
    ResultWmsDto ReturnAndCancel(ReturnAndCancelDto returnAndCancelDto);

}
